com.ibm.openpages.api.workflow

## Interface IWFRelationalConditionEval

- All Superinterfaces:
    IWFConditionEval, IWFEvalUnit

      public interface IWFRelationalConditionEval
      extends IWFConditionEval

  Interface that represents single criterion to evaluate in the context of process instance
  Since:
    8.0.0.2

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Boolean` | `getInvertMatch()` Returns the flag to invert the result of this condition.
    `IWFEvalUnit` | `getLeftValue()` Returns evaluation unit for the left-side operand of the relation
    `WFRelationalOperatorType` | `getRelationalOperator()` Returns relational operator type to evaluate left value and right value
    `IWFEvalUnit` | `getRightValue()` Returns evaluation unit for the right-side operand of the relation
    `java.lang.String` | `getValidationMessage()` Returns validation message.
    `java.lang.String` | `getValidationMessageLabel()` Returns the localized validation message label for the user session
    `java.util.List<ILabel>` | `getValidationMessageLabels()` Returns the validation message labels for all locales
    `void` | `setInvertMatch(java.lang.Boolean invert)` Assigns the flag to invert the result of this condition.
    `void` | `setLeftValue(IWFEvalUnit leftValue)` Assigns the left-side value of the relation
    `void` | `setRelationalOperator(WFRelationalOperatorType opType)` Assigns relational operator type
    `void` | `setRightValue(IWFEvalUnit rightValue)` Assigns the right-side value of the relation
    `void` | `setValidationMessage(java.lang.String validationMessage)` Assigns the validation message.
    `void` | `setValidationMessageLabels(java.util.List<ILabel> validationMessageLabels)` Sets the list of validation message labels.

    - ### Methods inherited from interface com.ibm.openpages.api.workflow.IWFEvalUnit

      `getEvalType`

- - ### Method Detail

    - #### getRelationalOperator

          WFRelationalOperatorType getRelationalOperator()

      Returns relational operator type to evaluate left value and right value
      Returns:

    - #### setRelationalOperator

          void setRelationalOperator(WFRelationalOperatorType opType)

      Assigns relational operator type
      Parameters:
        `opType` -

    - #### getInvertMatch

          java.lang.Boolean getInvertMatch()

      Returns the flag to invert the result of this condition. The evaluated result is not inverted when this is null.
      Returns:

    - #### setInvertMatch

          void setInvertMatch(java.lang.Boolean invert)

      Assigns the flag to invert the result of this condition.
      Parameters:
        `invert` -

    - #### getLeftValue

          IWFEvalUnit getLeftValue()

      Returns evaluation unit for the left-side operand of the relation
      Returns:

    - #### setLeftValue

          void setLeftValue(IWFEvalUnit leftValue)

      Assigns the left-side value of the relation
      Parameters:
        `leftValue` -

    - #### getRightValue

          IWFEvalUnit getRightValue()

      Returns evaluation unit for the right-side operand of the relation
      Returns:

    - #### setRightValue

          void setRightValue(IWFEvalUnit rightValue)

      Assigns the right-side value of the relation
      Parameters:
        `rightValue` -

    - #### getValidationMessage

          java.lang.String getValidationMessage()

      Returns validation message. The message is presented to end users when the condition is evaluated as a validation action and does not meet the criteria.
      Returns:

    - #### setValidationMessage

          void setValidationMessage(java.lang.String validationMessage)

      Assigns the validation message.
      Parameters:
        `validationMessage` -

    - #### getValidationMessageLabel

          java.lang.String getValidationMessageLabel()

      Returns the localized validation message label for the user session
      Returns:
        the localized validation message label as a string

    - #### getValidationMessageLabels

          java.util.List<ILabel> getValidationMessageLabels()

      Returns the validation message labels for all locales
      Returns:
        `ILabel` the validation message label

    - #### setValidationMessageLabels

          void setValidationMessageLabels(java.util.List<ILabel> validationMessageLabels)

      Sets the list of validation message labels.
      Parameters:
        `validationMessageLabels` - the list of `ILabel`

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2022. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.